# std::deque<T,Allocator>::front

From cppreference.com
< cpp‎ | container‎ | deque

reference front(); | (1) |
const_reference front() const; | (2) |

Returns a reference to the first element in the container.

Calling `front` on an empty container causes undefined behavior.

### Parameters

(none)

### Return value

Reference to the first element.

### Complexity

Constant.

### Notes

For a container `c`, the expression c.front() is equivalent to *c.begin().

### Example

The following code uses `front` to display the first element of a std::deque <char>:

Run this code

    #include <cassert>
    #include <deque>

    int main()
    {
        std::deque<char> letters{'a', 'b', 'c', 'd'};
        assert(letters.front() == 'a');
    }

### See also

back | access the last element (public member function)
rendcrend (C++11) | returns a reverse iterator to the end (public member function)
begincbegin (C++11) | returns an iterator to the beginning (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/deque/front&oldid=135165"